> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Scim List Users

> List/filter provisioned users.

Supports SCIM filter on userName, emails.value, externalId, active, displayName.
Pagination via startIndex (1-based) + count.



## OpenAPI

````yaml /openapi.json get /v1/scim/v2/{tenant}/Users
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/scim/v2/{tenant}/Users:
    get:
      tags:
        - scim
      summary: Scim List Users
      description: >-
        List/filter provisioned users.


        Supports SCIM filter on userName, emails.value, externalId, active,
        displayName.

        Pagination via startIndex (1-based) + count.
      operationId: scim_list_users_v1_scim_v2__tenant__Users_get
      parameters:
        - in: path
          name: tenant
          required: true
          schema:
            title: Tenant
            type: string
        - in: query
          name: filter
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Filter
        - in: query
          name: startIndex
          required: false
          schema:
            default: 1
            minimum: 1
            title: Startindex
            type: integer
        - in: query
          name: count
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: Count
            type: integer
        - in: query
          name: sortBy
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sortby
        - in: query
          name: sortOrder
          required: false
          schema:
            default: ascending
            title: Sortorder
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Scim List Users V1 Scim V2  Tenant  Users Get
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````